# TODO: Fix tests
#
# Conditional build:
%bcond_without	doc	# don't build doc
%bcond_with	tests	# do not perform "make test"
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module	django_extensions
Summary:	Django Custom Management Command Extensions
Summary(pl.UTF-8):	Rozszerzenie komend zarządzających Django
Name:		python-%{module}
Version:	1.9.0
Release:	6
License:	MIT
Group:		Libraries/Python
#Source0:	https://pypi.python.org/packages/7f/da/1245fe47d1a2ca8d2d03b3cdbc886e64c94a8c2d3b6f99e3464d507a7c29/django-extensions-%{version}.tar.gz
Source0:	https://github.com/django-extensions/django-extensions/archive/%{version}.tar.gz
# Source0-md5:	bbb01383b6f199dfd1a6a64a3cc415e3
URL:		https://github.com/django-extensions/django-extensions
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-modules
BuildRequires:	python-shortuuid
BuildRequires:	python-six >= 1.2
BuildRequires:	python-tox
%endif
%if %{with python3}
BuildRequires:	python3-modules
BuildRequires:	python3-shortuuid
BuildRequires:	python3-six >= 1.2
BuildRequires:	python3-tox
%endif
Requires:	python-django
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Django Extensions is a collection of custom extensions for the Django
Framework.

%description -l pl.UTF-8
Zbiór rozszerzeń dla Django.

%package -n python3-%{module}
Summary:	Django Custom Management Command Extensions
Summary(pl.UTF-8):	Rozszerzenie komend zarządzających Django
Group:		Libraries/Python
Requires:	python3-django
Requires:	python3-modules

%description -n python3-%{module}
Django Extensions is a collection of custom extensions for the Django
Framework.

%description -n python3-%{module} -l pl.UTF-8
Zbiór rozszerzeń dla Django.

%package apidocs
Summary:	%{module} API documentation
Summary(pl.UTF-8):	Dokumentacja API %{module}
Group:		Documentation

%description apidocs
API documentation for %{module}.

%description apidocs -l pl.UTF-8
Dokumentacja API %{module}.

%prep
%setup -q -n django-extensions-%{version}

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%if %{with doc}
cd docs
%{__make} -j1 html
rm -rf _build/html/_sources
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install
%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc README.rst
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc README.rst
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/*
%endif
%changelog
* Tue Mar 02 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-django_extensions.git;a=log;h=master

* Tue Mar 02 2021 Jan Rękorajski <baggins@pld-linux.org> 53e0b86
- release 6 (by relup.sh)

* Fri Nov 01 2019 Jan Rękorajski <baggins@pld-linux.org> 6c56a0d
- release 5 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 5628ee4
- rebuild with python 3.8
- release 4 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 53b882f
- release 3 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 3d35bfa
- python 3.7 rebuild
- release 2 (by relup.sh)

* Tue Sep 05 2017 Mateusz Korniak <matkor@pld-linux.org> 43b488b
- up to 1.9.0.  Release 1.

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> ee7bf3f
- python 3.6
- release 2 (by relup.sh)

* Fri May 27 2016 Elan Ruusamäe <glen@delfi.ee> e7435b7
- minor cosmetics

* Fri May 27 2016 Mateusz Korniak <matkor@pld-linux.org> 2664bd5
- Version 1.6.7. Based on python-template.

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 4f17f75
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> a2fdefe
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 90be146
- automatic change: use py_build/py_install macros

* Thu Jan 12 2012 zbyniu <zbyniu@pld-linux.org> 0f4db8e
- up to 0.7.1

* Wed Jun 29 2011 cieciwa <cieciwa@pld-linux.org> 55c4a36
- release 1.

* Wed Jun 29 2011 cieciwa <cieciwa@pld-linux.org> 09dbbd9
- updated to version 0.6
- release 0.1
- changed source location
- updated MD5 sum

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> b44c766
- release 2

* Tue Apr 20 2010 Jan Rękorajski <baggins@pld-linux.org> ebb04a1
- initial revision

